Subject: RE: IPv6 over LANE pseudo-interface doesn't work, suggestions are very wellcome :-)

From: "Michel Py" <[email-masked]>
Date: Thu, 21 Feb 2002 08:06:21 -0800

Juan,

I doubt this config would work. Lane is bridging a lan over the ATM cloud.
There are several issues with IPv6 bridging and Cisco:
1. AFAIK, it is not implemented in 12.2(T) (neither BVI or RBE)
2. Cisco will not implement IPv6 for BVI interfaces.
3. I do not know if Cisco will support LANE for IPv6.

In any case, you need to try RBE (see http://www.cisco.com/warp/public/794/routed_bridged_encap.html), and add the "atm route-bridged ip" command to ATM0/1/0.2, but this is not likely to work with 12.2(T).

Michel

-----Original Message-----
From: Juan Francisco Rodriguez Hervella [mailto:[email-masked]]
Sent: Thursday, February 21, 2002 7:46 AM
To: (Lista) [email-masked]
Subject: IPv6 over LANE pseudo-interface doesn't work, suggestions are very wellcome :-)

Hello:

I have a question related to IPv6 configuration over a LANE interface.
Maybe
someone here could help me :-)
I have the following configuration on a CISCO router with IOS version
12.2(T):

%%% BEGIN OF CONFIGURATION %%%
[snip]
!
interface ATM0/1/0
 ip address <ipv4-address> <netmask>
 no ip mroute-cache
 no atm ilmi-keepalive
 pvc 0/5 qsaal
 !
 pvc ILMI 0/16 ilmi
  ilmi manage
 !
 pvc 0/40
  protocol ip <ipv4-address> broadcast
!
!
interface ATM0/1/0.1 point-to-point
 description red  TEST troncal
 ip address <ipv4-address> <netmask>
 pvc TEST 0/100
  protocol ip <ipv4-address>
  vbr-nrt 2000 2000 64000
  encapsulation aal5snap
!
!
interface ATM0/1/0.2 multipoint
 description LANE - Red TEST local
 ip address <ipv4-address> <netmask>
 ipv6 enable
 ipv6 address <ipv6-prefix>::/64 eui-64
 ipv6 mtu 4470
 lane server-atm-address 47.000580FFE1000000F21A866B.0020481A866B.42
 lane client ethernet <identifier>
[snip]
!
%%%% END OF CONFIGURATION %%%%%

My question is:

IPv4 works fine through LANE, but IPv6 don't.
Its necessary to do something else ??
(I know very little about ATM and/or LANE protocols :-))

Thank you very much.

*****
JFRH
*****

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------